function Gprime = Gprime_error(isig_data, isig_retr)
% Returns the minimum G' error (as defined in R. P. Scott, N. K. Fontaine, 
% J. Cao, K. Okamoto, B. H. Kolner, J. P. Heritage, and S. J. B. Yoo, 
% "High-fidelity line-by-line optical waveform generation and complete 
% characterization using FROG," Opt. Express 15(16), 9977-9988 (2007)).
% 
% 
% Author: Michelle Rhodes
% Georgia Institute of Technology
% email: mrhodes3@gatech.edu
% Last revision: 8/7/2012

[mu fit_error] = fminsearch(@(params) Gprime_min(params, isig_data, isig_retr), 1);

Gprime = sqrt( trapz(trapz(abs(isig_data - mu*isig_retr).^2))/trapz(trapz(isig_data.^2)) );