function Gprime = Gprime_min(params, isig, isig_r)
% Used to find the minimum G' error (as defined in R. P. Scott, N. K. 
% Fontaine, J. Cao, K. Okamoto, B. H. Kolner, J. P. Heritage, and S. J. 
% B. Yoo, "High-fidelity line-by-line optical waveform generation and 
% complete characterization using FROG," Opt. Express 15(16), 9977-9988 
% (2007)).
% 
% 
% Author: Michelle Rhodes
% Georgia Institute of Technology
% email: mrhodes3@gatech.edu
% Last revision: 8/7/2012

mu = params(1);

Gprime = trapz(trapz( (isig - mu*isig_r).^2 ));